Skip to main content
POST
Create related person

Authorizations

Authorization
string
header
required

Service (M2M) access token issued by POST /auth/token using the client_credentials grant. Required scopes, where known, are listed on each operation below.

Body

application/json
patient_id
string
required
Required string length: 1 - 64
active
boolean
first_name
string | null
Maximum string length: 100
middle_name
string | null
Maximum string length: 100
last_name
string | null
Maximum string length: 100
email
string<email>
Maximum string length: 254
phone
string
Pattern: ^\+[1-9]\d{1,14}$
gender
enum<string>
Available options:
male,
female,
other,
unknown
birth_date
string
Pattern: ^\d{4}-\d{2}-\d{2}$
relationships
object[]
Maximum array length: 10
addresses
object[]
Maximum array length: 10
period_start
string<date-time>
period_end
string<date-time>

Response

Created

data
object
required
request_id
string
required